.navbar {
    display: flex;
    flex-grow: 1;
    flex-basis: 0;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

* {
	box-sizing: border-box;
	font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
	font-size: 22px;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

html {
    scroll-behavior: smooth;
}

body {
    min-width: 960px;
    position: relative;
    min-height: 100%;
    color: #555555;
    background-color: #FFFFFF;
    margin: 0;
    padding-bottom: 100px;
}

a:-webkit-any-link {
    color: -webkit-link;
    cursor: pointer;
    
}

ul.headerlinks {
    list-style-type: none;
    
}
li.navbarli {
    display:inline;
}

a.navbarlink {
    text-decoration: none;
    color:#555555;
    padding: 10px 10px;
    margin: 0px 10px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
    
}

a.navbarlink:hover {
    border-bottom:solid;
    border-color: red;
}

a.navbarlink:active {
    border: solid;
    border-color: rgb(255, 167, 167);
    border-width: 4px;
    border-radius: 5px;
    background-color: firebrick;
    color: white;
}

a.gallery {
    border-bottom: double;
    border-color: indianred;
    border-width: 6px;
}

h1.pageintro {
    position: absolute;
    top: -20px;
    left: 50px;
    color: #394352;
    font-size: 24px;
    padding: 24px 0px;
    margin-left: 40px;
}

div#wholegallery {
    max-width: 960px;
    width: 77%;
    padding-top: 35px;
    margin: auto;
}

input.imagebutton {
    margin: 3px;
    border: solid;
    border-color: firebrick;
    border-width: 3px;
    border-radius: 5px;
    position: relative;
    bottom: 0px;
    transform: scale(1);
    z-index: 5;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;

}

input.imagebutton:hover {
    border-color: aquamarine;
    transform: scale(1.2);
    z-index: 10;
}

div.largeimage {
    position:absolute;
    display:block;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: solid;
    border-color: rgb(83, 83, 83);
    border-width: 25px;
    border-radius: 5px;
    z-index: 11;
    background-color: rgb(83, 83, 83);
}
div.link-icons {
    position: absolute;
    margin-right: 1%;
    top: 23px;
    right: 1%;
}
span#cart-icon {
    display: inline-block;
    text-align: center;
    background-color: #63748e;
    border-radius: 50%;
    color: #FFFFFF;
    font-size: 24px;
    line-height: 24px;
    width: 24px;
    height: 24px;
    font-weight: bold;
    position: absolute;
    top: -24px;
    right: -5px;
}
img.javaimage {
    object-fit: contain;
    margin: auto;
    height: 800px;
    width: 800px;
    z-index: 15;
}

button.closejsbutton {
    border-width: 3px;
    border-color: firebrick;
    border-radius: 5px;
    background-color: rgb(95, 190, 158);
    font-size: 18px;
    position:absolute;
    top: 15px;
    right: 15px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}

button.closejsbutton:hover {
    border-color: rgb(95, 190, 158);
    font-size: 20px;
    background-color: aquamarine;
}
p.foot{
    text-align: center;
}